Bug 436226 - anaconda still installs packages marked as removed in kickstart
anaconda still installs packages marked as removed in kickstart
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
Blocks: F9Beta
  Show dependency treegraph
Reported: 2008-03-05 19:08 EST by Orion Poplawski
Modified: 2008-03-24 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-24 19:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.log (31.28 KB, text/plain)
2008-03-19 15:54 EDT, James Laska
no flags Details

  None (edit)
Description Orion Poplawski 2008-03-05 19:08:53 EST
Description of problem:

Did a kickstart install with today's rawhide.  Have a number of packages marked
to skip, e.g.:


These packages were still installed.

Version-Release number of selected component (if applicable):
Comment 1 Orion Poplawski 2008-03-05 19:09:55 EST
See the following in anaconda.log:

12:16:06 CRITICAL: No Match for argument: dump
12:16:06 CRITICAL: No Match for argument: fonts-telugu
12:16:06 CRITICAL: No Match for argument: sazanami-fonts-gothic
Comment 2 Jeremy Katz 2008-03-12 19:35:49 EDT
Fixed in git
Comment 3 James Laska 2008-03-19 15:54:54 EDT
Created attachment 298576 [details]

Tested in anaconda-, but I appear to still see the problem.

My kickstart contains:

%packages --ignoremissing

While the post-installed system has vim-minimal.  Did deps conflict with my
-vim-minimal request?

$ grep vim install.log
Installing vim-minimal-7.1.269-2.fc9.ppc
Comment 4 Orion Poplawski 2008-03-24 19:11:23 EDT
Confirmed fixed for me.

Note You need to log in before you can comment on or make changes to this bug.